Subject: Opsdir last call review of draft-ietf-dnssd-hybrid-07

From: Joel Jaeggli <[email-masked]>
Date: Sun, 22 Oct 2017 23:02:18 -0700

Reviewer: Joel Jaeggli
Review result: Has Nits

I reviewed this draft draft-ietf-dnssd-hybrid-07 on behalf of the operations
and management area directorate.

While the security considerations do address the problem of  information
leakage from publishing information in DNS zones that may be resolvable from
outside the administrative zone that they are intended to be used in, I think
the reverse zone and in particular the IPv4 reverse zone are particularly
subject to this problem. if the nameservers serving the reverse zone are those
to which the public ipv4 prefix is delegated then is is possible to walk the
zone, trolling for hosts that may not otherwise be easy to identify (because
you do not know apriori what services they might be advertising).  This might
identify particular hosts, but it also might be used to identify subnets  in
which  dynamic allocation occur or where hosts come and go. I think it would be
desirable to provide explanatory texts on the potential dangers of exposing the
reverse zones in particular.